define(["require", "exports"], function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.CompatibleBulletListType = void 0;
    /**
     *  Enum used to control the different types of bullet list
     */
    // eslint-disable-next-line etc/no-const-enum
    var CompatibleBulletListType;
    (function (CompatibleBulletListType) {
        /**
         * Minimum value of the enum
         */
        CompatibleBulletListType[CompatibleBulletListType["Min"] = 1] = "Min";
        /**
         * Bullet triggered by *
         */
        CompatibleBulletListType[CompatibleBulletListType["Disc"] = 1] = "Disc";
        /**
         * Bullet triggered by -
         */
        CompatibleBulletListType[CompatibleBulletListType["Dash"] = 2] = "Dash";
        /**
         * Bullet triggered by --
         */
        CompatibleBulletListType[CompatibleBulletListType["Square"] = 3] = "Square";
        /**
         * Bullet triggered by >
         */
        CompatibleBulletListType[CompatibleBulletListType["ShortArrow"] = 4] = "ShortArrow";
        /**
         * Bullet triggered by ->
         */
        CompatibleBulletListType[CompatibleBulletListType["LongArrow"] = 5] = "LongArrow";
        /**
         * Bullet triggered by =>
         */
        CompatibleBulletListType[CompatibleBulletListType["UnfilledArrow"] = 6] = "UnfilledArrow";
        /**
         * Bullet triggered by —
         */
        CompatibleBulletListType[CompatibleBulletListType["Hyphen"] = 7] = "Hyphen";
        /**
         * Bullet triggered by -->
         */
        CompatibleBulletListType[CompatibleBulletListType["DoubleLongArrow"] = 8] = "DoubleLongArrow";
        /**
         * Bullet type circle
         */
        CompatibleBulletListType[CompatibleBulletListType["Circle"] = 9] = "Circle";
        /**
         * Maximum value of the enum
         */
        CompatibleBulletListType[CompatibleBulletListType["Max"] = 9] = "Max";
    })(CompatibleBulletListType = exports.CompatibleBulletListType || (exports.CompatibleBulletListType = {}));
});
//# sourceMappingURL=BulletListType.js.map