define(["require", "exports"], function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.CompatibleClearFormatMode = void 0;
    /**
     * Represents the strategy to clear the format of the current editor selection
     */
    // eslint-disable-next-line etc/no-const-enum
    var CompatibleClearFormatMode;
    (function (CompatibleClearFormatMode) {
        /**
         * Inline format. Remove text format.
         */
        CompatibleClearFormatMode[CompatibleClearFormatMode["Inline"] = 0] = "Inline";
        /**
         * BLock format. Remove text and structure format of the block.
         */
        CompatibleClearFormatMode[CompatibleClearFormatMode["Block"] = 1] = "Block";
        /**
         * Detect Inline or Block format based on the current editor selector.
         */
        CompatibleClearFormatMode[CompatibleClearFormatMode["AutoDetect"] = 2] = "AutoDetect";
    })(CompatibleClearFormatMode = exports.CompatibleClearFormatMode || (exports.CompatibleClearFormatMode = {}));
});
//# sourceMappingURL=ClearFormatMode.js.map