define(["require", "exports"], function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.CompatibleContentType = exports.CompatibleContentTypePrefix = void 0;
    /**
     * Prefix of content types
     */
    // eslint-disable-next-line etc/no-const-enum
    var CompatibleContentTypePrefix;
    (function (CompatibleContentTypePrefix) {
        /**
         * Text type prefix
         */
        CompatibleContentTypePrefix["Text"] = "text/";
        /**
         * Image type prefix
         */
        CompatibleContentTypePrefix["Image"] = "image/";
    })(CompatibleContentTypePrefix = exports.CompatibleContentTypePrefix || (exports.CompatibleContentTypePrefix = {}));
    /**
     * Known content types
     */
    // eslint-disable-next-line etc/no-const-enum
    var CompatibleContentType;
    (function (CompatibleContentType) {
        /**
         * Plain text content type
         */
        CompatibleContentType["PlainText"] = "text/plain";
        /**
         * HTML content type
         */
        CompatibleContentType["HTML"] = "text/html";
    })(CompatibleContentType = exports.CompatibleContentType || (exports.CompatibleContentType = {}));
});
//# sourceMappingURL=ContentType.js.map