define(["require", "exports"], function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.CompatibleQueryScope = void 0;
    /**
     * Query scope for queryElements() API
     */
    // eslint-disable-next-line etc/no-const-enum
    var CompatibleQueryScope;
    (function (CompatibleQueryScope) {
        /**
         * Query from the whole body of root node. This is default value.
         */
        CompatibleQueryScope[CompatibleQueryScope["Body"] = 0] = "Body";
        /**
         * Query elements on a given selection (intersect)
         * The result element can contain the selection, contain part of selection, or inside selection
         */
        CompatibleQueryScope[CompatibleQueryScope["OnSelection"] = 1] = "OnSelection";
        /**
         * Query elements inside a given selection only
         */
        CompatibleQueryScope[CompatibleQueryScope["InSelection"] = 2] = "InSelection";
    })(CompatibleQueryScope = exports.CompatibleQueryScope || (exports.CompatibleQueryScope = {}));
});
//# sourceMappingURL=QueryScope.js.map