define(["require", "exports", "./Alignment", "./BulletListType", "./Capitalization", "./ChangeSource", "./ClearFormatMode", "./ColorTransformDirection", "./ContentPosition", "./ContentType", "./DarkModeDatasetNames", "./DefinitionType", "./DelimiterClasses", "./Direction", "./DocumentCommand", "./DocumentPosition", "./EntityClasses", "./EntityOperation", "./ExperimentalFeatures", "./FontSizeChange", "./GetContentMode", "./ImageEditOperation", "./Indentation", "./Keys", "./KnownAnnounceStrings", "./KnownCreateElementDataIndex", "./KnownPasteSourceType", "./ListType", "./NodeType", "./NumberingListType", "./PasteType", "./PluginEventType", "./PositionType", "./QueryScope", "./RegionType", "./SelectionRangeTypes", "./TableBorderFormat", "./TableOperation"], function (require, exports, Alignment_1, BulletListType_1, Capitalization_1, ChangeSource_1, ClearFormatMode_1, ColorTransformDirection_1, ContentPosition_1, ContentType_1, DarkModeDatasetNames_1, DefinitionType_1, DelimiterClasses_1, Direction_1, DocumentCommand_1, DocumentPosition_1, EntityClasses_1, EntityOperation_1, ExperimentalFeatures_1, FontSizeChange_1, GetContentMode_1, ImageEditOperation_1, Indentation_1, Keys_1, KnownAnnounceStrings_1, KnownCreateElementDataIndex_1, KnownPasteSourceType_1, ListType_1, NodeType_1, NumberingListType_1, PasteType_1, PluginEventType_1, PositionType_1, QueryScope_1, RegionType_1, SelectionRangeTypes_1, TableBorderFormat_1, TableOperation_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.CompatibleTableOperation = exports.CompatibleTableBorderFormat = exports.CompatibleSelectionRangeTypes = exports.CompatibleRegionType = exports.CompatibleQueryScope = exports.CompatiblePositionType = exports.CompatiblePluginEventType = exports.CompatiblePasteType = exports.CompatibleNumberingListType = exports.CompatibleNodeType = exports.CompatibleListType = exports.CompatibleKnownPasteSourceType = exports.CompatibleKnownCreateElementDataIndex = exports.CompatibleKnownAnnounceStrings = exports.CompatibleKeys = exports.CompatibleIndentation = exports.CompatibleImageEditOperation = exports.CompatibleGetContentMode = exports.CompatibleFontSizeChange = exports.CompatibleExperimentalFeatures = exports.CompatibleEntityOperation = exports.CompatibleEntityClasses = exports.CompatibleDocumentPosition = exports.CompatibleDocumentCommand = exports.CompatibleDirection = exports.CompatibleDelimiterClasses = exports.CompatibleDefinitionType = exports.CompatibleDarkModeDatasetNames = exports.CompatibleContentType = exports.CompatibleContentTypePrefix = exports.CompatibleContentPosition = exports.CompatibleColorTransformDirection = exports.CompatibleClearFormatMode = exports.CompatibleChangeSource = exports.CompatibleCapitalization = exports.CompatibleBulletListType = exports.CompatibleAlignment = void 0;
    Object.defineProperty(exports, "CompatibleAlignment", { enumerable: true, get: function () { return Alignment_1.CompatibleAlignment; } });
    Object.defineProperty(exports, "CompatibleBulletListType", { enumerable: true, get: function () { return BulletListType_1.CompatibleBulletListType; } });
    Object.defineProperty(exports, "CompatibleCapitalization", { enumerable: true, get: function () { return Capitalization_1.CompatibleCapitalization; } });
    Object.defineProperty(exports, "CompatibleChangeSource", { enumerable: true, get: function () { return ChangeSource_1.CompatibleChangeSource; } });
    Object.defineProperty(exports, "CompatibleClearFormatMode", { enumerable: true, get: function () { return ClearFormatMode_1.CompatibleClearFormatMode; } });
    Object.defineProperty(exports, "CompatibleColorTransformDirection", { enumerable: true, get: function () { return ColorTransformDirection_1.CompatibleColorTransformDirection; } });
    Object.defineProperty(exports, "CompatibleContentPosition", { enumerable: true, get: function () { return ContentPosition_1.CompatibleContentPosition; } });
    Object.defineProperty(exports, "CompatibleContentTypePrefix", { enumerable: true, get: function () { return ContentType_1.CompatibleContentTypePrefix; } });
    Object.defineProperty(exports, "CompatibleContentType", { enumerable: true, get: function () { return ContentType_1.CompatibleContentType; } });
    Object.defineProperty(exports, "CompatibleDarkModeDatasetNames", { enumerable: true, get: function () { return DarkModeDatasetNames_1.CompatibleDarkModeDatasetNames; } });
    Object.defineProperty(exports, "CompatibleDefinitionType", { enumerable: true, get: function () { return DefinitionType_1.CompatibleDefinitionType; } });
    Object.defineProperty(exports, "CompatibleDelimiterClasses", { enumerable: true, get: function () { return DelimiterClasses_1.CompatibleDelimiterClasses; } });
    Object.defineProperty(exports, "CompatibleDirection", { enumerable: true, get: function () { return Direction_1.CompatibleDirection; } });
    Object.defineProperty(exports, "CompatibleDocumentCommand", { enumerable: true, get: function () { return DocumentCommand_1.CompatibleDocumentCommand; } });
    Object.defineProperty(exports, "CompatibleDocumentPosition", { enumerable: true, get: function () { return DocumentPosition_1.CompatibleDocumentPosition; } });
    Object.defineProperty(exports, "CompatibleEntityClasses", { enumerable: true, get: function () { return EntityClasses_1.CompatibleEntityClasses; } });
    Object.defineProperty(exports, "CompatibleEntityOperation", { enumerable: true, get: function () { return EntityOperation_1.CompatibleEntityOperation; } });
    Object.defineProperty(exports, "CompatibleExperimentalFeatures", { enumerable: true, get: function () { return ExperimentalFeatures_1.CompatibleExperimentalFeatures; } });
    Object.defineProperty(exports, "CompatibleFontSizeChange", { enumerable: true, get: function () { return FontSizeChange_1.CompatibleFontSizeChange; } });
    Object.defineProperty(exports, "CompatibleGetContentMode", { enumerable: true, get: function () { return GetContentMode_1.CompatibleGetContentMode; } });
    Object.defineProperty(exports, "CompatibleImageEditOperation", { enumerable: true, get: function () { return ImageEditOperation_1.CompatibleImageEditOperation; } });
    Object.defineProperty(exports, "CompatibleIndentation", { enumerable: true, get: function () { return Indentation_1.CompatibleIndentation; } });
    Object.defineProperty(exports, "CompatibleKeys", { enumerable: true, get: function () { return Keys_1.CompatibleKeys; } });
    Object.defineProperty(exports, "CompatibleKnownAnnounceStrings", { enumerable: true, get: function () { return KnownAnnounceStrings_1.CompatibleKnownAnnounceStrings; } });
    Object.defineProperty(exports, "CompatibleKnownCreateElementDataIndex", { enumerable: true, get: function () { return KnownCreateElementDataIndex_1.CompatibleKnownCreateElementDataIndex; } });
    Object.defineProperty(exports, "CompatibleKnownPasteSourceType", { enumerable: true, get: function () { return KnownPasteSourceType_1.CompatibleKnownPasteSourceType; } });
    Object.defineProperty(exports, "CompatibleListType", { enumerable: true, get: function () { return ListType_1.CompatibleListType; } });
    Object.defineProperty(exports, "CompatibleNodeType", { enumerable: true, get: function () { return NodeType_1.CompatibleNodeType; } });
    Object.defineProperty(exports, "CompatibleNumberingListType", { enumerable: true, get: function () { return NumberingListType_1.CompatibleNumberingListType; } });
    Object.defineProperty(exports, "CompatiblePasteType", { enumerable: true, get: function () { return PasteType_1.CompatiblePasteType; } });
    Object.defineProperty(exports, "CompatiblePluginEventType", { enumerable: true, get: function () { return PluginEventType_1.CompatiblePluginEventType; } });
    Object.defineProperty(exports, "CompatiblePositionType", { enumerable: true, get: function () { return PositionType_1.CompatiblePositionType; } });
    Object.defineProperty(exports, "CompatibleQueryScope", { enumerable: true, get: function () { return QueryScope_1.CompatibleQueryScope; } });
    Object.defineProperty(exports, "CompatibleRegionType", { enumerable: true, get: function () { return RegionType_1.CompatibleRegionType; } });
    Object.defineProperty(exports, "CompatibleSelectionRangeTypes", { enumerable: true, get: function () { return SelectionRangeTypes_1.CompatibleSelectionRangeTypes; } });
    Object.defineProperty(exports, "CompatibleTableBorderFormat", { enumerable: true, get: function () { return TableBorderFormat_1.CompatibleTableBorderFormat; } });
    Object.defineProperty(exports, "CompatibleTableOperation", { enumerable: true, get: function () { return TableOperation_1.CompatibleTableOperation; } });
});
//# sourceMappingURL=index.js.map