/**
 * Types of definitions, used by Definition type
 */
export declare const enum DefinitionType {
    /**
     * Boolean type definition, represents a boolean type value
     */
    Boolean = 0,
    /**
     * Number type definition, represents a number type value
     */
    Number = 1,
    /**
     * String type definition, represents a string type value
     */
    String = 2,
    /**
     * Array type definition, represents an array with a given item type
     */
    Array = 3,
    /**
     * Object type definition, represents an object with the given property types
     */
    Object = 4,
    /**
     * Customize type definition, represents a customized type with a validator function
     */
    Customize = 5
}
