define(["require", "exports"], function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.PasteType = void 0;
    /**
     * Enum for paste options
     */
    // eslint-disable-next-line etc/no-const-enum
    var PasteType;
    (function (PasteType) {
        /**
         * Default paste behavior
         */
        PasteType[PasteType["Normal"] = 0] = "Normal";
        /**
         * Paste only the plain text
         */
        PasteType[PasteType["AsPlainText"] = 1] = "AsPlainText";
        /**
         * Apply the current style to pasted content
         */
        PasteType[PasteType["MergeFormat"] = 2] = "MergeFormat";
        /**
         * If there is a image uri in the clipboard, paste the content as image element
         */
        PasteType[PasteType["AsImage"] = 3] = "AsImage";
    })(PasteType = exports.PasteType || (exports.PasteType = {}));
});
//# sourceMappingURL=PasteType.js.map