/**
 * The enum used for controlling the capitalization of text.
 * Used by changeCapitalization API
 */
// eslint-disable-next-line etc/no-const-enum
export var CompatibleCapitalization;
(function (CompatibleCapitalization) {
    /**
     * Transforms the first character after punctuation mark followed by space
     * to uppercase and the rest of characters to lowercase.
     */
    CompatibleCapitalization["Sentence"] = "sentence";
    /**
     * Transforms all characters to lowercase
     */
    CompatibleCapitalization["Lowercase"] = "lowercase";
    /**
     * Transforms all characters to uppercase
     */
    CompatibleCapitalization["Uppercase"] = "uppercase";
    /**
     * Transforms the first character of each word to uppercase
     */
    CompatibleCapitalization["CapitalizeEachWord"] = "capitalize";
})(CompatibleCapitalization || (CompatibleCapitalization = {}));
//# sourceMappingURL=Capitalization.js.map