/**
 * Possible change sources. Here are the predefined sources.
 * It can also be other string if the change source can't fall into these sources.
 */
// eslint-disable-next-line etc/no-const-enum
export var CompatibleChangeSource;
(function (CompatibleChangeSource) {
    /**
     * Content changed by auto link
     */
    CompatibleChangeSource["AutoLink"] = "AutoLink";
    /**
     * Content changed by create link
     */
    CompatibleChangeSource["CreateLink"] = "CreateLink";
    /**
     * Content changed by format
     */
    CompatibleChangeSource["Format"] = "Format";
    /**
     * Content changed by image resize
     */
    CompatibleChangeSource["ImageResize"] = "ImageResize";
    /**
     * Content changed by paste
     */
    CompatibleChangeSource["Paste"] = "Paste";
    /**
     * Content changed by setContent API
     */
    CompatibleChangeSource["SetContent"] = "SetContent";
    /**
     * Content changed by cut operation
     */
    CompatibleChangeSource["Cut"] = "Cut";
    /**
     * Content changed by drag & drop operation
     */
    CompatibleChangeSource["Drop"] = "Drop";
    /**
     * Insert a new entity into editor
     */
    CompatibleChangeSource["InsertEntity"] = "InsertEntity";
    /**
     * Editor is switched to dark mode, content color is changed
     */
    CompatibleChangeSource["SwitchToDarkMode"] = "SwitchToDarkMode";
    /**
     * Editor is switched to light mode, content color is changed
     */
    CompatibleChangeSource["SwitchToLightMode"] = "SwitchToLightMode";
    /**
     * List chain reorganized numbers of lists
     */
    CompatibleChangeSource["ListChain"] = "ListChain";
    /**
     * Keyboard event, used by Content Model.
     * Data of this event will be the key code number
     */
    CompatibleChangeSource["Keyboard"] = "Keyboard";
})(CompatibleChangeSource || (CompatibleChangeSource = {}));
//# sourceMappingURL=ChangeSource.js.map