/**
 * The position. Mostly used for content insertion and traversing
 * On insertion, we will need to specify where we want the content to be placed (begin, end, selection or outside)
 * On content traversing, we will need to specify the start position of traversing
 */
// eslint-disable-next-line etc/no-const-enum
export var CompatibleContentPosition;
(function (CompatibleContentPosition) {
    /**
     * Begin of the container
     */
    CompatibleContentPosition[CompatibleContentPosition["Begin"] = 0] = "Begin";
    /**
     * End of the container
     */
    CompatibleContentPosition[CompatibleContentPosition["End"] = 1] = "End";
    /**
     * End of the content div domain.
     */
    CompatibleContentPosition[CompatibleContentPosition["DomEnd"] = 2] = "DomEnd";
    /**
     * Selection start
     */
    CompatibleContentPosition[CompatibleContentPosition["SelectionStart"] = 3] = "SelectionStart";
    /**
     * Outside of editor
     */
    CompatibleContentPosition[CompatibleContentPosition["Outside"] = 4] = "Outside";
    /**
     * Manually defined range
     */
    CompatibleContentPosition[CompatibleContentPosition["Range"] = 5] = "Range";
})(CompatibleContentPosition || (CompatibleContentPosition = {}));
//# sourceMappingURL=ContentPosition.js.map