/**
 * The is essentially an enum representing result from browser compareDocumentPosition API
 * https://developer.mozilla.org/en-US/docs/Web/API/Node/compareDocumentPosition
 */
// eslint-disable-next-line etc/no-const-enum
export var CompatibleDocumentPosition;
(function (CompatibleDocumentPosition) {
    /**
     * Same node
     */
    CompatibleDocumentPosition[CompatibleDocumentPosition["Same"] = 0] = "Same";
    /**
     * Node is disconnected from document
     */
    CompatibleDocumentPosition[CompatibleDocumentPosition["Disconnected"] = 1] = "Disconnected";
    /**
     * Node is preceding the comparing node
     */
    CompatibleDocumentPosition[CompatibleDocumentPosition["Preceding"] = 2] = "Preceding";
    /**
     * Node is following the comparing node
     */
    CompatibleDocumentPosition[CompatibleDocumentPosition["Following"] = 4] = "Following";
    /**
     * Node contains the comparing node
     */
    CompatibleDocumentPosition[CompatibleDocumentPosition["Contains"] = 8] = "Contains";
    /**
     * Node is contained by the comparing node
     */
    CompatibleDocumentPosition[CompatibleDocumentPosition["ContainedBy"] = 16] = "ContainedBy";
})(CompatibleDocumentPosition || (CompatibleDocumentPosition = {}));
//# sourceMappingURL=DocumentPosition.js.map