/**
 * Operation flags for ImageEdit plugin
 */
// eslint-disable-next-line etc/no-const-enum
export var CompatibleImageEditOperation;
(function (CompatibleImageEditOperation) {
    /**
     * No operation
     */
    CompatibleImageEditOperation[CompatibleImageEditOperation["None"] = 0] = "None";
    /**
     * Resize image from corner ( horizontal and vertical resize)
     */
    CompatibleImageEditOperation[CompatibleImageEditOperation["CornerResize"] = 1] = "CornerResize";
    /**
     * Resize image from side ( either horizontal or vertical resize)
     */
    CompatibleImageEditOperation[CompatibleImageEditOperation["SideResize"] = 2] = "SideResize";
    /**
     * Image resize
     */
    CompatibleImageEditOperation[CompatibleImageEditOperation["Resize"] = 3] = "Resize";
    /**
     * Image rotate
     */
    CompatibleImageEditOperation[CompatibleImageEditOperation["Rotate"] = 4] = "Rotate";
    /**
     * Image resize and rotate
     */
    CompatibleImageEditOperation[CompatibleImageEditOperation["ResizeAndRotate"] = 7] = "ResizeAndRotate";
    /**
     * Image crop
     */
    CompatibleImageEditOperation[CompatibleImageEditOperation["Crop"] = 8] = "Crop";
    /**
     * All operations
     */
    CompatibleImageEditOperation[CompatibleImageEditOperation["All"] = 15] = "All";
})(CompatibleImageEditOperation || (CompatibleImageEditOperation = {}));
//# sourceMappingURL=ImageEditOperation.js.map