/**
 * Known announce strings
 */
// eslint-disable-next-line etc/no-const-enum
export var CompatibleKnownAnnounceStrings;
(function (CompatibleKnownAnnounceStrings) {
    /**
     * String announced for a list item in a OL List
     * @example
     * Auto corrected, &lcub;0&rcub;
     * Where &lcub0&rcub is the new list item bullet
     */
    CompatibleKnownAnnounceStrings[CompatibleKnownAnnounceStrings["AnnounceListItemNumbering"] = 1] = "AnnounceListItemNumbering";
    /**
     * String announced for a list item in a UL List
     * @example
     * Auto corrected bullet
     */
    CompatibleKnownAnnounceStrings[CompatibleKnownAnnounceStrings["AnnounceListItemBullet"] = 2] = "AnnounceListItemBullet";
    /**
     * String announced when cursor is moved to the last cell in a table
     */
    CompatibleKnownAnnounceStrings[CompatibleKnownAnnounceStrings["AnnounceOnFocusLastCell"] = 3] = "AnnounceOnFocusLastCell";
})(CompatibleKnownAnnounceStrings || (CompatibleKnownAnnounceStrings = {}));
//# sourceMappingURL=KnownAnnounceStrings.js.map