/**
 * Index of known CreateElementData used by createElement function
 */
// eslint-disable-next-line etc/no-const-enum
export var CompatibleKnownCreateElementDataIndex;
(function (CompatibleKnownCreateElementDataIndex) {
    /**
     * Set a none value to help createElement function ignore falsy value
     */
    CompatibleKnownCreateElementDataIndex[CompatibleKnownCreateElementDataIndex["None"] = 0] = "None";
    /**
     * An empty line without format
     */
    CompatibleKnownCreateElementDataIndex[CompatibleKnownCreateElementDataIndex["EmptyLine"] = 1] = "EmptyLine";
    /**
     * Wrapper for blockquote
     */
    CompatibleKnownCreateElementDataIndex[CompatibleKnownCreateElementDataIndex["BlockquoteWrapper"] = 2] = "BlockquoteWrapper";
    /**
     * Temp DIV for copy/paste
     */
    CompatibleKnownCreateElementDataIndex[CompatibleKnownCreateElementDataIndex["CopyPasteTempDiv"] = 3] = "CopyPasteTempDiv";
    /**
     * ListItem with block style
     */
    CompatibleKnownCreateElementDataIndex[CompatibleKnownCreateElementDataIndex["BlockListItem"] = 4] = "BlockListItem";
    /**
     * Wrapper element for context menu
     */
    CompatibleKnownCreateElementDataIndex[CompatibleKnownCreateElementDataIndex["ContextMenuWrapper"] = 5] = "ContextMenuWrapper";
    /**
     * Wrapper element for image edit
     */
    CompatibleKnownCreateElementDataIndex[CompatibleKnownCreateElementDataIndex["ImageEditWrapper"] = 6] = "ImageEditWrapper";
    /**
     * @deprecated
     */
    CompatibleKnownCreateElementDataIndex[CompatibleKnownCreateElementDataIndex["TableHorizontalResizer"] = 7] = "TableHorizontalResizer";
    /**
     * @deprecated
     */
    CompatibleKnownCreateElementDataIndex[CompatibleKnownCreateElementDataIndex["TableVerticalResizer"] = 8] = "TableVerticalResizer";
    /**
     * @deprecated
     */
    CompatibleKnownCreateElementDataIndex[CompatibleKnownCreateElementDataIndex["TableResizerLTR"] = 9] = "TableResizerLTR";
    /**
     * @deprecated
     */
    CompatibleKnownCreateElementDataIndex[CompatibleKnownCreateElementDataIndex["TableResizerRTL"] = 10] = "TableResizerRTL";
    /**
     * @deprecated
     */
    CompatibleKnownCreateElementDataIndex[CompatibleKnownCreateElementDataIndex["TableSelector"] = 11] = "TableSelector";
    /**
     * @deprecated
     */
    CompatibleKnownCreateElementDataIndex[CompatibleKnownCreateElementDataIndex["EmptyLineFormatInSpan"] = 12] = "EmptyLineFormatInSpan";
})(CompatibleKnownCreateElementDataIndex || (CompatibleKnownCreateElementDataIndex = {}));
//# sourceMappingURL=KnownCreateElementDataIndex.js.map