/**
 *  Enum used to control the different types of numbering list
 */
// eslint-disable-next-line etc/no-const-enum
export var CompatibleNumberingListType;
(function (CompatibleNumberingListType) {
    /**
     * Minimum value of the enum
     */
    CompatibleNumberingListType[CompatibleNumberingListType["Min"] = 1] = "Min";
    /**
     * Numbering triggered by 1.
     */
    CompatibleNumberingListType[CompatibleNumberingListType["Decimal"] = 1] = "Decimal";
    /**
     * Numbering triggered by 1-
     */
    CompatibleNumberingListType[CompatibleNumberingListType["DecimalDash"] = 2] = "DecimalDash";
    /**
     * Numbering triggered by 1)
     */
    CompatibleNumberingListType[CompatibleNumberingListType["DecimalParenthesis"] = 3] = "DecimalParenthesis";
    /**
     * Numbering triggered by (1)
     */
    CompatibleNumberingListType[CompatibleNumberingListType["DecimalDoubleParenthesis"] = 4] = "DecimalDoubleParenthesis";
    /**
     * Numbering triggered by a.
     */
    CompatibleNumberingListType[CompatibleNumberingListType["LowerAlpha"] = 5] = "LowerAlpha";
    /**
     * Numbering triggered by a)
     */
    CompatibleNumberingListType[CompatibleNumberingListType["LowerAlphaParenthesis"] = 6] = "LowerAlphaParenthesis";
    /**
     * Numbering triggered by (a)
     */
    CompatibleNumberingListType[CompatibleNumberingListType["LowerAlphaDoubleParenthesis"] = 7] = "LowerAlphaDoubleParenthesis";
    /**
     * Numbering triggered by a-
     */
    CompatibleNumberingListType[CompatibleNumberingListType["LowerAlphaDash"] = 8] = "LowerAlphaDash";
    /**
     * Numbering triggered by A.
     */
    CompatibleNumberingListType[CompatibleNumberingListType["UpperAlpha"] = 9] = "UpperAlpha";
    /**
     * Numbering triggered by A)
     */
    CompatibleNumberingListType[CompatibleNumberingListType["UpperAlphaParenthesis"] = 10] = "UpperAlphaParenthesis";
    /**
     * Numbering triggered by (A)
     */
    CompatibleNumberingListType[CompatibleNumberingListType["UpperAlphaDoubleParenthesis"] = 11] = "UpperAlphaDoubleParenthesis";
    /**
     * Numbering triggered by A-
     */
    CompatibleNumberingListType[CompatibleNumberingListType["UpperAlphaDash"] = 12] = "UpperAlphaDash";
    /**
     * Numbering triggered by i.
     */
    CompatibleNumberingListType[CompatibleNumberingListType["LowerRoman"] = 13] = "LowerRoman";
    /**
     * Numbering triggered by i)
     */
    CompatibleNumberingListType[CompatibleNumberingListType["LowerRomanParenthesis"] = 14] = "LowerRomanParenthesis";
    /**
     * Numbering triggered by (i)
     */
    CompatibleNumberingListType[CompatibleNumberingListType["LowerRomanDoubleParenthesis"] = 15] = "LowerRomanDoubleParenthesis";
    /**
     * Numbering triggered by i-
     */
    CompatibleNumberingListType[CompatibleNumberingListType["LowerRomanDash"] = 16] = "LowerRomanDash";
    /**
     * Numbering triggered by I.
     */
    CompatibleNumberingListType[CompatibleNumberingListType["UpperRoman"] = 17] = "UpperRoman";
    /**
     * Numbering triggered by I)
     */
    CompatibleNumberingListType[CompatibleNumberingListType["UpperRomanParenthesis"] = 18] = "UpperRomanParenthesis";
    /**
     * Numbering triggered by (I)
     */
    CompatibleNumberingListType[CompatibleNumberingListType["UpperRomanDoubleParenthesis"] = 19] = "UpperRomanDoubleParenthesis";
    /**
     * Numbering triggered by I-
     */
    CompatibleNumberingListType[CompatibleNumberingListType["UpperRomanDash"] = 20] = "UpperRomanDash";
    /**
     * Maximum value of the enum
     */
    CompatibleNumberingListType[CompatibleNumberingListType["Max"] = 20] = "Max";
})(CompatibleNumberingListType || (CompatibleNumberingListType = {}));
//# sourceMappingURL=NumberingListType.js.map