/**
 * Editor plugin event type
 */
// eslint-disable-next-line etc/no-const-enum
export var CompatiblePluginEventType;
(function (CompatiblePluginEventType) {
    /**
     * HTML KeyDown event
     */
    CompatiblePluginEventType[CompatiblePluginEventType["KeyDown"] = 0] = "KeyDown";
    /**
     * HTML KeyPress event
     */
    CompatiblePluginEventType[CompatiblePluginEventType["KeyPress"] = 1] = "KeyPress";
    /**
     * HTML KeyUp event
     */
    CompatiblePluginEventType[CompatiblePluginEventType["KeyUp"] = 2] = "KeyUp";
    /**
     * HTML Input / TextInput event
     */
    CompatiblePluginEventType[CompatiblePluginEventType["Input"] = 3] = "Input";
    /**
     * HTML CompositionEnd event
     */
    CompatiblePluginEventType[CompatiblePluginEventType["CompositionEnd"] = 4] = "CompositionEnd";
    /**
     * HTML MouseDown event
     */
    CompatiblePluginEventType[CompatiblePluginEventType["MouseDown"] = 5] = "MouseDown";
    /**
     * HTML MouseUp event
     */
    CompatiblePluginEventType[CompatiblePluginEventType["MouseUp"] = 6] = "MouseUp";
    /**
     * Content changed event
     */
    CompatiblePluginEventType[CompatiblePluginEventType["ContentChanged"] = 7] = "ContentChanged";
    /**
     * Extract Content with a DOM tree event
     * This event is triggered when getContent() is called with triggerExtractContentEvent = true
     * Plugin can handle this event to remove the UI only markups to return clean HTML
     * by operating on a cloned DOM tree
     */
    CompatiblePluginEventType[CompatiblePluginEventType["ExtractContentWithDom"] = 8] = "ExtractContentWithDom";
    /**
     * Before Paste event, provide a chance to change copied content
     */
    CompatiblePluginEventType[CompatiblePluginEventType["BeforeCutCopy"] = 9] = "BeforeCutCopy";
    /**
     * Before Paste event, provide a chance to change paste content
     */
    CompatiblePluginEventType[CompatiblePluginEventType["BeforePaste"] = 10] = "BeforePaste";
    /**
     * Let plugin know editor is ready now
     */
    CompatiblePluginEventType[CompatiblePluginEventType["EditorReady"] = 11] = "EditorReady";
    /**
     * Let plugin know editor is about to dispose
     */
    CompatiblePluginEventType[CompatiblePluginEventType["BeforeDispose"] = 12] = "BeforeDispose";
    /**
     * Pending format state (bold, italic, underline, ... with collapsed selection) is changed
     */
    CompatiblePluginEventType[CompatiblePluginEventType["PendingFormatStateChanged"] = 13] = "PendingFormatStateChanged";
    /**
     * Scroll event triggered by scroll container
     */
    CompatiblePluginEventType[CompatiblePluginEventType["Scroll"] = 14] = "Scroll";
    /**
     * Operating on an entity. See enum EntityOperation for more details about each operation
     */
    CompatiblePluginEventType[CompatiblePluginEventType["EntityOperation"] = 15] = "EntityOperation";
    /**
     * HTML ContextMenu event
     */
    CompatiblePluginEventType[CompatiblePluginEventType["ContextMenu"] = 16] = "ContextMenu";
    /**
     * Editor has entered shadow edit mode
     */
    CompatiblePluginEventType[CompatiblePluginEventType["EnteredShadowEdit"] = 17] = "EnteredShadowEdit";
    /**
     * Editor is about to leave shadow edit mode
     */
    CompatiblePluginEventType[CompatiblePluginEventType["LeavingShadowEdit"] = 18] = "LeavingShadowEdit";
    /**
     * Content of image is being changed from client side
     */
    CompatiblePluginEventType[CompatiblePluginEventType["EditImage"] = 19] = "EditImage";
    /**
     * Content of editor is about to be cleared by SetContent API, handle this event to cache anything you need
     * before it is gone
     */
    CompatiblePluginEventType[CompatiblePluginEventType["BeforeSetContent"] = 20] = "BeforeSetContent";
    /**
     * Zoom scale value is changed, triggered by Editor.setZoomScale() when set a different scale number
     */
    CompatiblePluginEventType[CompatiblePluginEventType["ZoomChanged"] = 21] = "ZoomChanged";
    /**
     * EXPERIMENTAL FEATURE
     * Editor changed the selection.
     */
    CompatiblePluginEventType[CompatiblePluginEventType["SelectionChanged"] = 22] = "SelectionChanged";
    /**
     * EXPERIMENTAL FEATURE
     * Editor content is about to be changed by keyboard event.
     * This is only used by Content Model editing
     */
    CompatiblePluginEventType[CompatiblePluginEventType["BeforeKeyboardEditing"] = 23] = "BeforeKeyboardEditing";
})(CompatiblePluginEventType || (CompatiblePluginEventType = {}));
//# sourceMappingURL=PluginEventType.js.map