/**
 * Operations used by editTable() API
 */
export declare enum CompatibleTableOperation {
    /**
     * Insert a row above current row
     */
    InsertAbove = 0,
    /**
     * Insert a row below current row
     */
    InsertBelow = 1,
    /**
     * Insert a column on the left of current column
     */
    InsertLeft = 2,
    /**
     * Insert a column on the right of current column
     */
    InsertRight = 3,
    /**
     * Delete the whole table
     */
    DeleteTable = 4,
    /**
     * Delete current column
     */
    DeleteColumn = 5,
    /**
     * Delete current row
     */
    DeleteRow = 6,
    /**
     * Merge current row with the row above
     */
    MergeAbove = 7,
    /**
     * Merge current row with the row below
     */
    MergeBelow = 8,
    /**
     * Merge current column with the column on the left
     */
    MergeLeft = 9,
    /**
     * Merge current column with the column on the right
     */
    MergeRight = 10,
    /**
     * Merge all selected cells
     */
    MergeCells = 11,
    /**
     * Split current table cell horizontally
     */
    SplitHorizontally = 12,
    /**
     * Split current table cell vertically
     */
    SplitVertically = 13,
    /**
     * Align current table at the center
     */
    AlignCenter = 14,
    /**
     * Align current table at the left
     */
    AlignLeft = 15,
    /**
     * Align current table at the right
     */
    AlignRight = 16,
    /**
     * Align current content table cell at the left
     */
    AlignCellLeft = 17,
    /**
     * Align current content table cell at the center
     */
    AlignCellCenter = 18,
    /**
     * Align current content table cell at the right
     */
    AlignCellRight = 19,
    /**
     * Align current content table cell at the top
     */
    AlignCellTop = 20,
    /**
     * Align current table cell at the middle
     */
    AlignCellMiddle = 21,
    /**
     * Align current table cell at the bottom
     */
    AlignCellBottom = 22
}
