/**
 * Operations used by editTable() API
 */
// eslint-disable-next-line etc/no-const-enum
export var CompatibleTableOperation;
(function (CompatibleTableOperation) {
    /**
     * Insert a row above current row
     */
    CompatibleTableOperation[CompatibleTableOperation["InsertAbove"] = 0] = "InsertAbove";
    /**
     * Insert a row below current row
     */
    CompatibleTableOperation[CompatibleTableOperation["InsertBelow"] = 1] = "InsertBelow";
    /**
     * Insert a column on the left of current column
     */
    CompatibleTableOperation[CompatibleTableOperation["InsertLeft"] = 2] = "InsertLeft";
    /**
     * Insert a column on the right of current column
     */
    CompatibleTableOperation[CompatibleTableOperation["InsertRight"] = 3] = "InsertRight";
    /**
     * Delete the whole table
     */
    CompatibleTableOperation[CompatibleTableOperation["DeleteTable"] = 4] = "DeleteTable";
    /**
     * Delete current column
     */
    CompatibleTableOperation[CompatibleTableOperation["DeleteColumn"] = 5] = "DeleteColumn";
    /**
     * Delete current row
     */
    CompatibleTableOperation[CompatibleTableOperation["DeleteRow"] = 6] = "DeleteRow";
    /**
     * Merge current row with the row above
     */
    CompatibleTableOperation[CompatibleTableOperation["MergeAbove"] = 7] = "MergeAbove";
    /**
     * Merge current row with the row below
     */
    CompatibleTableOperation[CompatibleTableOperation["MergeBelow"] = 8] = "MergeBelow";
    /**
     * Merge current column with the column on the left
     */
    CompatibleTableOperation[CompatibleTableOperation["MergeLeft"] = 9] = "MergeLeft";
    /**
     * Merge current column with the column on the right
     */
    CompatibleTableOperation[CompatibleTableOperation["MergeRight"] = 10] = "MergeRight";
    /**
     * Merge all selected cells
     */
    CompatibleTableOperation[CompatibleTableOperation["MergeCells"] = 11] = "MergeCells";
    /**
     * Split current table cell horizontally
     */
    CompatibleTableOperation[CompatibleTableOperation["SplitHorizontally"] = 12] = "SplitHorizontally";
    /**
     * Split current table cell vertically
     */
    CompatibleTableOperation[CompatibleTableOperation["SplitVertically"] = 13] = "SplitVertically";
    /**
     * Align current table at the center
     */
    CompatibleTableOperation[CompatibleTableOperation["AlignCenter"] = 14] = "AlignCenter";
    /**
     * Align current table at the left
     */
    CompatibleTableOperation[CompatibleTableOperation["AlignLeft"] = 15] = "AlignLeft";
    /**
     * Align current table at the right
     */
    CompatibleTableOperation[CompatibleTableOperation["AlignRight"] = 16] = "AlignRight";
    /**
     * Align current content table cell at the left
     */
    CompatibleTableOperation[CompatibleTableOperation["AlignCellLeft"] = 17] = "AlignCellLeft";
    /**
     * Align current content table cell at the center
     */
    CompatibleTableOperation[CompatibleTableOperation["AlignCellCenter"] = 18] = "AlignCellCenter";
    /**
     * Align current content table cell at the right
     */
    CompatibleTableOperation[CompatibleTableOperation["AlignCellRight"] = 19] = "AlignCellRight";
    /**
     * Align current content table cell at the top
     */
    CompatibleTableOperation[CompatibleTableOperation["AlignCellTop"] = 20] = "AlignCellTop";
    /**
     * Align current table cell at the middle
     */
    CompatibleTableOperation[CompatibleTableOperation["AlignCellMiddle"] = 21] = "AlignCellMiddle";
    /**
     * Align current table cell at the bottom
     */
    CompatibleTableOperation[CompatibleTableOperation["AlignCellBottom"] = 22] = "AlignCellBottom";
})(CompatibleTableOperation || (CompatibleTableOperation = {}));
//# sourceMappingURL=TableOperation.js.map