/**
 * Operations used by editTable() API
 */
// eslint-disable-next-line etc/no-const-enum
export var TableOperation;
(function (TableOperation) {
    /**
     * Insert a row above current row
     */
    TableOperation[TableOperation["InsertAbove"] = 0] = "InsertAbove";
    /**
     * Insert a row below current row
     */
    TableOperation[TableOperation["InsertBelow"] = 1] = "InsertBelow";
    /**
     * Insert a column on the left of current column
     */
    TableOperation[TableOperation["InsertLeft"] = 2] = "InsertLeft";
    /**
     * Insert a column on the right of current column
     */
    TableOperation[TableOperation["InsertRight"] = 3] = "InsertRight";
    /**
     * Delete the whole table
     */
    TableOperation[TableOperation["DeleteTable"] = 4] = "DeleteTable";
    /**
     * Delete current column
     */
    TableOperation[TableOperation["DeleteColumn"] = 5] = "DeleteColumn";
    /**
     * Delete current row
     */
    TableOperation[TableOperation["DeleteRow"] = 6] = "DeleteRow";
    /**
     * Merge current row with the row above
     */
    TableOperation[TableOperation["MergeAbove"] = 7] = "MergeAbove";
    /**
     * Merge current row with the row below
     */
    TableOperation[TableOperation["MergeBelow"] = 8] = "MergeBelow";
    /**
     * Merge current column with the column on the left
     */
    TableOperation[TableOperation["MergeLeft"] = 9] = "MergeLeft";
    /**
     * Merge current column with the column on the right
     */
    TableOperation[TableOperation["MergeRight"] = 10] = "MergeRight";
    /**
     * Merge all selected cells
     */
    TableOperation[TableOperation["MergeCells"] = 11] = "MergeCells";
    /**
     * Split current table cell horizontally
     */
    TableOperation[TableOperation["SplitHorizontally"] = 12] = "SplitHorizontally";
    /**
     * Split current table cell vertically
     */
    TableOperation[TableOperation["SplitVertically"] = 13] = "SplitVertically";
    /**
     * Align current table at the center
     */
    TableOperation[TableOperation["AlignCenter"] = 14] = "AlignCenter";
    /**
     * Align current table at the left
     */
    TableOperation[TableOperation["AlignLeft"] = 15] = "AlignLeft";
    /**
     * Align current table at the right
     */
    TableOperation[TableOperation["AlignRight"] = 16] = "AlignRight";
    /**
     * Align current content table cell at the left
     */
    TableOperation[TableOperation["AlignCellLeft"] = 17] = "AlignCellLeft";
    /**
     * Align current content table cell at the center
     */
    TableOperation[TableOperation["AlignCellCenter"] = 18] = "AlignCellCenter";
    /**
     * Align current content table cell at the right
     */
    TableOperation[TableOperation["AlignCellRight"] = 19] = "AlignCellRight";
    /**
     * Align current content table cell at the top
     */
    TableOperation[TableOperation["AlignCellTop"] = 20] = "AlignCellTop";
    /**
     * Align current table cell at the middle
     */
    TableOperation[TableOperation["AlignCellMiddle"] = 21] = "AlignCellMiddle";
    /**
     * Align current table cell at the bottom
     */
    TableOperation[TableOperation["AlignCellBottom"] = 22] = "AlignCellBottom";
})(TableOperation || (TableOperation = {}));
//# sourceMappingURL=TableOperation.js.map