"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CompatibleDefinitionType = void 0;
/**
 * Types of definitions, used by Definition type
 */
// eslint-disable-next-line etc/no-const-enum
var CompatibleDefinitionType;
(function (CompatibleDefinitionType) {
    /**
     * Boolean type definition, represents a boolean type value
     */
    CompatibleDefinitionType[CompatibleDefinitionType["Boolean"] = 0] = "Boolean";
    /**
     * Number type definition, represents a number type value
     */
    CompatibleDefinitionType[CompatibleDefinitionType["Number"] = 1] = "Number";
    /**
     * String type definition, represents a string type value
     */
    CompatibleDefinitionType[CompatibleDefinitionType["String"] = 2] = "String";
    /**
     * Array type definition, represents an array with a given item type
     */
    CompatibleDefinitionType[CompatibleDefinitionType["Array"] = 3] = "Array";
    /**
     * Object type definition, represents an object with the given property types
     */
    CompatibleDefinitionType[CompatibleDefinitionType["Object"] = 4] = "Object";
    /**
     * Customize type definition, represents a customized type with a validator function
     */
    CompatibleDefinitionType[CompatibleDefinitionType["Customize"] = 5] = "Customize";
})(CompatibleDefinitionType = exports.CompatibleDefinitionType || (exports.CompatibleDefinitionType = {}));
//# sourceMappingURL=DefinitionType.js.map