/**
 * Define DOM types of window, used by safeInstanceOf() to check if a given object is of the specified type of its own window
 */
export default interface TargetWindowBase {
    Range: Range;
    Node: Node;
    ParentNode: ParentNode;
    Element: Element;
    HTMLElement: HTMLElement;
    HTMLUnknownElement: HTMLUnknownElement;
    HTMLUListElement: HTMLUListElement;
    HTMLTrackElement: HTMLTrackElement;
    HTMLTitleElement: HTMLTitleElement;
    HTMLTimeElement: HTMLTimeElement;
    HTMLTextAreaElement: HTMLTextAreaElement;
    HTMLTemplateElement: HTMLTemplateElement;
    HTMLTableSectionElement: HTMLTableSectionElement;
    HTMLTableRowElement: HTMLTableRowElement;
    HTMLTableElement: HTMLTableElement;
    HTMLTableColElement: HTMLTableColElement;
    HTMLTableCellElement: HTMLTableCellElement;
    HTMLTableHeaderCellElement: HTMLTableHeaderCellElement;
    HTMLTableDataCellElement: HTMLTableDataCellElement;
    HTMLTableCaptionElement: HTMLTableCaptionElement;
    HTMLStyleElement: HTMLStyleElement;
    HTMLSpanElement: HTMLSpanElement;
    HTMLSourceElement: HTMLSourceElement;
    HTMLSlotElement: HTMLSlotElement;
    HTMLSelectElement: HTMLSelectElement;
    HTMLScriptElement: HTMLScriptElement;
    HTMLQuoteElement: HTMLQuoteElement;
    HTMLProgressElement: HTMLProgressElement;
    HTMLPreElement: HTMLPreElement;
    HTMLPictureElement: HTMLPictureElement;
    HTMLParamElement: HTMLParamElement;
    HTMLParagraphElement: HTMLParagraphElement;
    HTMLOutputElement: HTMLOutputElement;
    HTMLOptionElement: HTMLOptionElement;
    HTMLOptGroupElement: HTMLOptGroupElement;
    HTMLObjectElement: HTMLObjectElement;
    HTMLOListElement: HTMLOListElement;
    HTMLModElement: HTMLModElement;
    HTMLMeterElement: HTMLMeterElement;
    HTMLMetaElement: HTMLMetaElement;
    HTMLMenuElement: HTMLMenuElement;
    HTMLMediaElement: HTMLMediaElement;
    HTMLVideoElement: HTMLVideoElement;
    HTMLAudioElement: HTMLAudioElement;
    HTMLMarqueeElement: HTMLMarqueeElement;
    HTMLMapElement: HTMLMapElement;
    HTMLLinkElement: HTMLLinkElement;
    HTMLLegendElement: HTMLLegendElement;
    HTMLLabelElement: HTMLLabelElement;
    HTMLLIElement: HTMLLIElement;
    HTMLInputElement: HTMLInputElement;
    HTMLImageElement: HTMLImageElement;
    HTMLIFrameElement: HTMLIFrameElement;
    HTMLHtmlElement: HTMLHtmlElement;
    HTMLHeadingElement: HTMLHeadingElement;
    HTMLHeadElement: HTMLHeadElement;
    HTMLHRElement: HTMLHRElement;
    HTMLFrameSetElement: HTMLFrameSetElement;
    HTMLFrameElement: HTMLFrameElement;
    HTMLFormElement: HTMLFormElement;
    HTMLFontElement: HTMLFontElement;
    HTMLFieldSetElement: HTMLFieldSetElement;
    HTMLEmbedElement: HTMLEmbedElement;
    HTMLDivElement: HTMLDivElement;
    HTMLDirectoryElement: HTMLDirectoryElement;
    HTMLDialogElement: HTMLDialogElement;
    HTMLDetailsElement: HTMLDetailsElement;
    HTMLDataListElement: HTMLDataListElement;
    HTMLDataElement: HTMLDataElement;
    HTMLDListElement: HTMLDListElement;
    HTMLCanvasElement: HTMLCanvasElement;
    HTMLButtonElement: HTMLButtonElement;
    HTMLBodyElement: HTMLBodyElement;
    HTMLBaseElement: HTMLBaseElement;
    HTMLBRElement: HTMLBRElement;
    HTMLAreaElement: HTMLAreaElement;
    HTMLAnchorElement: HTMLAnchorElement;
    DocumentType: DocumentType;
    DocumentFragment: DocumentFragment;
    ShadowRoot: ShadowRoot;
    Document: Document;
    XMLDocument: XMLDocument;
    HTMLDocument: HTMLDocument;
    ChildNode: ChildNode;
    CharacterData: CharacterData;
    Text: Text;
    CDATASection: CDATASection;
    ProcessingInstruction: ProcessingInstruction;
    Comment: Comment;
    Attr: Attr;
}
